ASP ReportWizard 2.0

Start Here

n What's new?
n Getting started
n Building your first report
n Troubleshooting
n Information and support

Note:
This documentation is not permanent
and may change if need be.

© 2003 ASP Web Solution.
All rights reserved


ASP Report Wizard » Contact Us

About the ASP Report Wizard

The ASP Report Wizard is a report generating component from which can be used to generate professional, data-driven, multi-level reports from virually any database and will run on any standard web browser in as little as 1 line of code.

This component is a multi-level web-reporting component that is used to generate professional drill-down reports with as much 1 Click from virtually any data source. This version supports many features including fast dynamic reports, simple charts & graphs, multiple dynamic column sorting, data filtering, generating reports from multiple tables, multiple field summaries, field data formatting, field name aliasing.


New Cool Features of the ASP Report Wizard v2.0

What's New?

  • You can easily generate drill-down master-detail reports
  • You can easily generate reports from database stored procedures
  • You can now generate time-series reports with charts by adding the @DATE & @TIME system paramters to make your reports
  • You can create a direct link to a report from any website by simply supplying the report's ID.
  • You can group reports into categories such as departments and report types.
  • You can dynamically tailor the contents of the data displayed by adding the system parameters of @USERID or @USERNAME to the report's filters.
  • You can now use all the table fields when creating report filters
  • You can now re-order report column names in any desired order.
  • You can set how you want your field data to be formated before it is displayed
  • You can choose to view your report in tabular of columnar display formats
  • You can generate aggregate & summary reports from your data
  • You can add charts & graphs to your reports
  • You can add user-defined parameters to your reports
  • You can add passwords to your reports
  • You can link reports toghether
  • You can use either exclusive or inclusive filters on your reports - (AND or OR)
  • You can now rename and even hide your reports.xml file in any secure location on your network drive.
and much more...


ASP Report Wizard Features

Features

  • Ability to list all tables, views & stored procedures in a database with one line of code.
  • Ability to dynamically generate reports by clicking on the table links
  • Fastest dynamic database reporting component in the market today
  • Extremely flexible and easy to use
  • Support for multi-level security
  • Optimized for speed and stability
  • Support for multiple report types – tabular, columnar,summary,master-detail etc..
  • Ability to generate summary & aggregate reports
  • Ability to generate drill-down reports (master-detail,hierarchical)
  • Ability to generate charts & graphs with all report types.
  • Ability to add multiple field summary lines to your reports
  • Support for report parameters - system and user-defined paramsters.
  • Support for multiple filters (display conditions)
  • Support for multiple report summaries
  • Support for field name aliasing .
  • Support for field data formating (Currency, URL, Phone Number, SSN etc..)
  • Ability to link reports
  • Ability to hide certain tables or views
  • Ability to show only certain tables or views
  • Support for report paging and navigation
  • Support for dynamic report pagesize (records per page)
  • Support for dynamic multiple column-wise sorting
  • Ability to export data to different formats (including Excel, CSV, Text and XML)
  • Ability to create report from more than one table. (create reports of related tables data)
  • Ability to save reports into an XML file.
  • Ability to edit existing reports
  • Ability to add passwords to reports
  • Advanced support for HTML printing
  • and much more...
You can also check out this list for some of the cool new things you can do with the ASP Report Wizard


Purchase ASP Report Wizard License

Purchase License

We selected PayPal as our E-Commerce provider. They will take your orders quickly, conveniently and securely. Immediately after your order has been processed, we will send you an e-mail with the registration code and instructions on how to apply it.

# | License | Domains | Price |
1 | Single Domain License | 1 | $359.00 | Buy Now!
2 | 5-Domain License | 5 | $1,459.00 | Buy Now!
3 | Enterprise License | Unlimited | $3,659.00 | Buy Now!

Licensing

We offer two license types for the ASP Report Wizard v2: Domain licenses that is purchased on a per domain basis and our Enterprise License that will allow you unlimited use within one company or organization (with no domain/IP limits).

Upgrade Policy

We offer a Free Upgrade for all minor releases and a 25% discount for all major releases

How does the license system work?

Each license is sold for use on one domain address. The exception is the Enterprise License that allows unlimited use within one company or organization. For example if your reports are located on the following web address: http://www.yourdomain.com/somefolder/reports.asp the domain that is used is yourdomain.com. If someone access the same page using another URL or the site's IP address, the license will NOT work. If you need to use several sub-domains such as: users.mycompany.com, store.mycompany.com, hr.depts.mycompany.com etc... then what you need is an Enterprise License.

What is the Enterprise License?

Unlike the Domain licenses the Enterprise License is not bound to any domain or IP
and can be used on unlimted sub-domains or IPs within one company or organization.
This allows for maximum flexibility at a fixed price. Click here to purchase and instantly get
your ASP Report Wizard v2 Enterprise License key now!


Screen Shots

Menu Dialogs | Summary with Chart | Columnar Report
Tabular Report | Admin Menu | Hierarchical
Columnar Master-Detail | Summary Report | Tabular Master-Detail
Click on the links below to view more screen shots:


Installing the ASP Report Wizard

System Requirements

ASP Report Wizard 2.0 requires:
Windows 2000 Server/Advanced Server and IIS 5.0, or
Windows 2000 Professional and Personal Web Server, or
Windows NT 4.0 Server SP5+, IIS 4.0, and MDAC 2.5, or
Windows NT 4.0 Workstation, Personal Web Server, and MDAC 2.5,or
Windows 95/98, Personal Web Server, and MDAC 2.5
...

Installing the ASP Report Wizard

To install the Report Wizard, download and run the setup application AWSReportWizard.msi . The AWSReportWizard.msi windows installer setup will install the ASP Report Wizard component. Typically, it is C:\Program Files\AspWebSolution\, but it can be any other directory. The install routine will automatically register the component DLL on your machine.

If you need to move the the Report Wizard component to another server, it is sufficient to copy the file AWSReportWizard.dll (located under the \Bin subdirectory of the installation) to the other machine and register it there using the regsvr32 command-line utility. You may copy the file AWSReportWizard.dll to any folder on the second server's hard drive, e.g. c:\winnt\system32. To register the dll, run the MS DOS prompt and type the command

regsvr32 c:\winnt\system32\AWSReportWizard.dll

You must specify another path if necessary. If this server is already running an older version of the Report Wizard 2, you must remove it from memory prior to registering a newer version by shutting down all IIS services. To do that, type the following command at your DOS prompt:

net stop iisadmin /y

To bring the WWW service back up, type the command

net start w3svc

Other IIS services can be restarted from the Services control panel.

...


Setting up your first application

After you have successfully installed the ASP Report Wizard, do the following steps get your first database online and start running your reports.

  1. Create a folder in from your Internet Services Manager (or IIS) and grant this folder read/write permissions
  2. Create a blank text file and rename it default.asp.
    Copy the following lines of ASP code into your default.asp file
    <%

    Dim objWiz
    Set objWiz = Server.CreateObject("AspWebSolution.ReportWizard2")

    'Make sure you initialize before adding any HTML text
    'TODO: Change this to your actual connection tring
    objWiz.Init("PROVIDER=Microsoft.Jet.OLEDB.4.0;DATA SOURCE=D:\Databases\nwind.mdb;")

    'put this where you want your reports
    objWiz.DisplayReports

    Set objWiz = Nothing

    %>

  3. Launch your web browser and navigate to the folder which you created.
See Also
  • Building Your First Report
  • Connection String Samples

...


Building Your First Report

Table of Contents

  1. Generate a Report
  2. Selecting Fields to Display
  3. Adding Field Captions & Data Display Format
  4. Adding Filters
  5. Adding a Report Description, Title, Password etc..
  6. Adding Summaries
  7. Re-Ordering the Report's Fields

1. Generate a Report

After you have successfully setup your reporting application, building your first report is pretty simple.
When you navigate to your ASP Report Wizard page, you would see a listing of your tables & views similar to the screen shot below.

Clicking on any of the table names or views will automatically generate a report for that table or view containing all the fields as seen on the image below.

We are basically going hour to build the report generated above into a meaningfull drilled down report as seen in the image below.

We would begin by selecting only the fields we want to display.
To remove some of the fields, check the next section of this tutorial Selecting fields to display

Top

2. Selecting Fields to Display

To specify the fields to display, you would have to use the report wizard.
Click on the Build Report link at the top of your report. This should pop-up your report wizard form displaying all the fields available as seen below.

Select the fields you want to display by checking the check boxes next to the field names.
Click Finish to reload your report showing only the selected fields, or click Next » to add captions to your field names.

Top

3. Adding Field Captions & Data Display Format

Launch the report wizard as by clicking on the Build Report link. This should come up with your previously selected fields already checked.
Navigate to the section for adding captions to field names. It should look like in the image below.

Enter the column captions you want for your fields, select the data output format from the drop-down listbox and click Finish to reload your report showing your new column captions and your data formatted as selected. Click Next » to add filters (seach conditions) to your report.

Top

4. Adding Filters

Launch the report wizard a and navigate to the section for adding filters. It should look like in the image below.

Select a field to filter, select the filtering condition from the drop-down box and enter the value to filter the records by. Select the AND option to do an inclusive search or the OR option for an exclusive filter.
Click Finish to reload your report applying you new filter, or click Add Filter to add another filtering condition or click Next » to add a title, description, password display format etc... to your report.

Top

5. Adding a Report Description, Title, Password etc..

Launch the report wizard a and navigate to the section for adding the report's description. It should look like in the image below.

Enter a report's title, description and the default page size of your choice. Change the report's ID if you wish but remember that reports are identified by the report ID, so using an already existing report ID will overwrite the existing report. Click Finish to reload your report applying the new changes or click Next » to add field summaries to your report.

Top

6. Adding Summaries

Launch the report wizard a and navigate to the section for adding field summaries. It should look like in the image below.

Select a field to summarize, select the summary type from the drop-down box and enter the description for the field summary. Click Finish to reload your report applying the new changes or click Add Summary to add another field summary or click Next » to reorder the report's fields in the order in which you want them to appear.

Top

7. Re-Ordering the Report Fields

Launch the report wizard a and navigate to the section for reordering the report's fields. It should look like in the image below.

Reorder your field names as you wish and click on Finish to reload your report applying the new changes or click Back to edit other report information.

Top


Dynamically Sorting your Report

Sorting the generated reports is pretty easy. To sort by a field name ascending, just click on the field header and it will sort the grid ascending. Clicking on the same field again will re-sort the report but this time in a descending order.
Notice that when you click on a column header, there is a + of a - sign - The Sort Indicator, which appears next to the column name as seen in the picture below.

A plus (+) sign means the columns is sorted in an ascending order while a minus (-) sign means the columns is sorted in an descending order
To sort on multiple fields, click on the column headers you want to sort in order of precedence. Notice that, the sort order keeps augmenting as you click on more column headers.

To remove a field from the current sort, click on the sort indicator and this will remove that column from the sort collection.

See Also
  • Changing the Report's Page Size
  • Filtering your report's data values


Changing the Report's Page Size

Changing the reports page size (number of records displayed per page) is pretty simple. At the bottom right hand conner of the report wizard is a text box field - the Page Size as shown in the image below.
Entering a a number e.g. 15 and clicking on the Reload will reload the report but this time displaying the number of records per page you entered.

To display all fields, simply enter the number zero (0) into the page size box and hit the reload button.

See Also
  • Setting up the default pagesize
  • Printing Reports


Filtering Your Report

You can filter your report's values multiple times by using the filtering input boxes located above the grid.

All you have to do is:
  1. Select the field you want to filter
  2. Select your filter condition
  3. Enter the text to filter on and hit the Go button
You may add as many filters as you wish. To reset the report grid to its original view, click on the Reset button link located below the grid

Top

Using Popup Filters

You can set your report to use a popup dialog box filter instead of the default filtering input boxes located above the grid that appear above the grid. This can be done by setting the report wizard's UsePopupFilters property to True as shown below:

<%

'Declare your variables
Dim objWiz
Set objWiz = Server.CreateObject("AspWebSolution.ReportWizard2")

objWiz.UsePopupFilters = True
objWiz.Init(Connection String)

%>

The result will be as in the image shown below:
To change the popup filter button text to something else other than Search, edit the Locale Settings for the filter section for the tag - <FilterButtonTextPopUp>Search</FilterButtonTextPopUp>

See Also
  • Adding default filters to your reports
  • Localization and Multilingual Data Support


Printing Reports & Exporting Data

Printing

To print your report all you have to do is set the page size of the report to the number of pages you want to print per page then hit the Print button link. You will have a display showing you a new grid every time the pagesize has been attained. Click your browser's print button now.

Exporting Data

To export data, all you need to do is click on any of the export buttons (Excel, XML, CSV... ) on the top-right of your report to download your data in that format. Click your save button when prompted to save.

See Also
  • Filtering Your Report


Creating Simple Graphs

The ASP Report Wizard has the ability to generate simple charts & graphs from your database. There are 3 basic types of simple graphs. These include: The basic column graph, the stacked-type graph and the relative area graph as shown below.
Basic Column Graph
Click to enlarge 		Stacked-Type Graph
Click to enlarge 		Relative-Area Graph
Click to enlarge

To create any of these graphs you need to do the following steps carefully:
  1. Select any table that has the data you want to chart (e.g. Products) and click Build Report
  2. Select the legend field (eg. ProductName) and the data field (e.g. UnitPrice)
  3. Navigate to the section Add summaries to your report
  4. Select the option Add Graph
  5. Advance to the next screen: Chart Options
    Click to enlarge
  6. Select the graph type you want, your legend field (ProductName), enter the labels for you X & Y-Axes and a title desired.
  7. Select show graph only if you want only the graph to be displayed
  8. Click on Finish to display graph
Note:
  • The SimpleGraph has a default setting of 21 legends. So if you go over 21 records, your colors will start reapeating (after the black color).
  • You can allways add filters to your report to reduce the amount of records displayed such UnitPrice less than $50.00

See Also
  • The SimpleGraph Object

...


Report Wizard API

The ReportWizard is the top-level object the ASP Report Wizard. You can create an instance of it as follows:

'Declare a variable
Dim objWiz

'Create an instance
Set objWiz = Server.CreateObject("AspWebSolution.ReportWizard2")


Colors and Font Settings

Colors & Font Settings

The ASP Report Wizard assumes that you have a cascading stylesheet file styles.css in your application folder.
This file contains the classes that formats the fonts and colors of your reports.
To change the row colors and font styles of the report wizard, all you need to do is edit the class attributes of your styles.css file as shown below .

The default name for the stylesheet file styles.css can however be changed to by use of the report wizard's StyleSheet property as follows:
<%
objWiz.StyleSheet = "styles.css"
objWiz.Init(CONNECTION STRING)
%>

************************************styles.css**********************************************

/*
Default hyperlink button styles
*/
a:link{text-decoration: none;}
a:visited{text-decoration: none;}
a:active{text-decoration: none;}
a:hover{text-decoration: underline;}
hr{color:#666699;}

th{font-size:13px;font-family:arial;}

/*
DataGrid report styles
*/
/*report title styles*/
td.report_title{font-size:13px;font-family:arial;font-weight:bold;color:gray;}

/*report table styles*/
.grid{background-color:gray;}

/*report header row styles*/
.header{background-color:#666699;}
.header_link{color:white;font-family:verdana;font-size:8pt;}

/*odd row background color*/
.item{background-color:#d2d1de;color:000000;font-family:verdana;font-size:8pt;}

/*even row background color*/
.alt_item{background-color:#f5f5f5;color:000000;font-family:verdana;font-size:8pt;}

/*column styles*/
td.number, td.money, td.date{text-align:right;}
td.boolean{text-align:center;}
td.money{color:purple;}
td.text{color:black;}

/*command buttons, footer styles & paging button link styles*/
.footer{font-family:verdana;font-size:8pt;}
.paging_link{color:blue;font-family:verdana;font-size:8pt;}
a.paging_link:hover{color:#990033;font-family:verdana;font-size:8pt;}
.link_button{color:blue;font-family:verdana;font-size:8pt;}
a.link_button:hover{color:#990033;font-family:verdana;font-size:8pt;}
a.item_link{color:navy;font-family:verdana;font-size:8pt;}

/*
Report Wizard Styles
*/
a.report_title{font-size:8pt;font-family:verdana;color:blue;}
a.report_title:hover{color:green;font-family:verdana;font-size:8pt;}
.group_title{font-size:10pt;font-family:arial,verdana;color:#666699;}
.delete{color:red;font-family:verdana;font-size:8pt;font-weight:bold;}
.report_desc{padding-left:10px;font-family:verdana;font-size:8pt;}
.report_title{font-size:8pt;font-family:verdana;}

/*
The graphs title/header and labels styles
*/
.graph_title{font-size:13px;font-family:arial;}
.xlabel{font-size:12px;font-family:arial;}
.ylabel{font-size:12px;font-family:arial;}

...


Data Formating & Masking

Data Formating

The report wizard supports a number of standard data formats as well as some extensible data formating and masking. The standard formats include:
  • Money/Currency - defaults to the system's currency e.g. $1,000.00
  • Numeric Formats include: Decimals (e.g. 1,000.00), Numbers (1,000) and Percentages (e.g. 25%)
  • Boolean types such as Yes/No, True/False, On/Off or any custom boolean format of your choice
  • Date formats include Long Dates (e.g. Tuesday July 15, 1997), Medium Date (15-July-97), Short Dates - US(7/15/97), Short Date (15/7/97), Time 2:30 PM and Army Time (14:30)
  • Named string formats include:
    • Phone numbers (800) 555-9000 and 800-555-9000
    • Social Security Numbers 123-45-6789

Data Masking

In addition to data formating, the report wizard employs data masking. i.e. the output text can futher be formatted to output a different representation. These include
  • HTML URL (Webpage link) - the field data must be a valid web page url
  • Email Address - the field data must be a valid email address
  • Image URL - the field data must be a valid image url
  • Custom data masking include Inserting Hyperlinks, and doing Text Replacements
If you need to mask and format data, the report wizard will recognize the following defaults and will format the data accordingly for the Insert Hyperlink and Text Replacement text formats:
  • #TEMP# : Is replaced with your field value
  • #MONEY# : Is replaced with your field value formatted as money e.g. $35.99
  • #PERCENT# : Is replaced with your field value formatted as a percent e.g. 23.20%
  • #NUMBER# : Is replaced with your field value formatted as a number e.g. 1,000.00
Also, {{YOUR FIELD NAME}} will be replaced by the corresponding field name

Using Custom HTML Tags

Support for custom HTML tags has just been added to the Text Replacement field data format. These tags include: b, i, u, br & eval
  • b - bold, i - italic and u - underline e.g.
    [b]{{FirstName}}[/b]
  • br - line break e.g.
    You can format an address field as follows:
    [i]{{Address}}[br]{{City}}, {{State}}[/i]
  • eval - evalutes the string within as a javascript function. for example, if you wanted the SUM of Field1 and Field2, you will enter the following line for your TextReplacement format:
    [eval]{{Field1}}+{{Field2}}[/eval]

    Consider the Order Details table which has the following fields: OrderID,ProductID,UnitPrice,Discount
    If you wanted the Sale Price to appear in the Discount column, you will enter the following line for your TextReplacement format:
    $[eval]{{UnitPrice}}-({{UnitPrice}}*#TEMP#)[/eval]

If you need us to include any data format that is not listed above, please send your request to support@aspwebsolution.com


Localization and Multilingual Data Support

The Locale File

The static text content displayed by the report wizard at runtime can be customized and modified by use of the report wizard's LocaleFile property. e.g.
objWiz.LocaleFile = "locale.xml"
The Locale file which can reside anywhere on your network, contains the text and title definitions displayed by the generated reports. Note:
  1. If the locale file is not set, the report wizard will use it's default settings which are all basically English text.
  2. If the locale file is set, but the file does not exists in the specified location, the report wizard will create a locale file with the name specified with the default english definitions. We will add other languages as soon as we get them translated.
    If you have translated a copy of the locale file, you can send a copy to support@aspwebsolution.com so that we can include it the build.
You can then conveniently switch your reports from on language to the other as follows:
<%
If CBool(Session("UseImages")) Then
    strLocaleFile = "locale_images.xml"
Else
    If Session("Lang") = "German" Then
        strLocaleFile = "locale_german.xml"
    Else
        strLocaleFile = "locale.xml"
    End If
End If
%>
The report wizard's default locale file, looks like the output below:

**********************************************************************************
* locale.xml
**********************************************************************************

<Locale version="1.0">

<!-- database objects titles -->
<TablesText>Tables</TablesText>
<ViewsText>Views</ViewsText>
<ProceduresText>Procedures</ProceduresText>
<StoredProceduresText>Stored Procedures</StoredProceduresText>
<AllowedTablesText>Allowed Tables</AllowedTablesText>
<AllowedProceduresText>Allowed Procedures</AllowedProceduresText>

<!--wizard button text-->
<CloseText>Close</CloseText>
<HomeText>Home</HomeText>
<BuildText>Build Report</BuildText>

<!--wizard button tooltips-->
<CloseTitle>Close window</CloseTitle>
<BuildTitle>Edit report properties</BuildTitle>
<HomeTitle>Return home</HomeTitle>

<!--grid filter button text-->
<FilterButtonText>Go</FilterButtonText>
<FilterButtonTextPopUp>Search</FilterButtonTextPopUp>
<FilterButtonTitlePopUp>Filter this report</FilterButtonTitlePopUp>

<!--grid filter text -->
<ContainsText>contains</ContainsText>
<IsEqualToText>is equal to</IsEqualToText>
<IsNotEqualToText>is not equal to</IsNotEqualToText>
<IsGreaterThanText>is greater than</IsGreaterThanText>
<IsLessThanText>is less than</IsLessThanText>

<!--grid filter status text -->
<FiltersLabelText><![CDATA[<b>Filter(s):</b>]]></FiltersLabelText>

<!--grid sort status text -->
<SortOrderLabelText><![CDATA[<b>Sort Order:</b>]]></SortOrderLabelText>
<SortOrderAscText></SortOrderAscText>
<SortOrderDescText><![CDATA[<i>descending</i>]]></SortOrderDescText>

<!--grid summary status text -->
<SummaryLabelText><![CDATA[<b>Summary:</b>]]></SummaryLabelText>

<!--grid navigation button text -->
<FirstText>« First</FirstText>
<PrevText>«</PrevText>
<NextText>»</NextText>
<LastText>Last »</LastText>
<ResetText>Reset</ResetText>
<ReloadText>Reload</ReloadText>
<PageCountText>Page @CurrentPage of @NumOfPages (@NumOfRecs recs)</PageCountText>
<PageSizeText>Page Size:</PageSizeText>
<ShowPageNumbers>True</ShowPageNumbers>

<!--grid navigation button title -->
<FirstTitle>Go to the first page</FirstTitle>
<PrevTitle>Previous page</PrevTitle>
<NextTitle>Next page</NextTitle>
<LastTitle>Go to the last page</LastTitle>
<ResetTitle>Reset grid and go to first page</ResetTitle>
<ReloadTitle>Reload grid</ReloadTitle>

<!--grid header button text -->
<RefreshText><![CDATA[<font face="MS OUTLOOK">C</font>]]></RefreshText>
<SortColAscText>+</SortColAscText>
<SortColDescText>-</SortColDescText>

<!--grid header button title -->
<RefreshTitle>Refresh grid</RefreshTitle>
<SortColAscTitle>Click to sort ascending</SortColAscTitle>
<SortColDescTitle>Click to sort descending</SortColDescTitle>
<RemoveSortTitle>Remove this sort</RemoveSortTitle>

<!--grid export button text -->
<PrintText>Print</PrintText>
<PrintTitle></PrintTitle>
<XLSText>Excel</XLSText>
<XLSTitle></XLSTitle>
<CSVText>CSV</CSVText>
<CSVTitle></CSVTitle>
<XMLText>XML</XMLText>
<XMLTitle></XMLTitle>
<TXTText>Text</TXTText>
<TXTTitle></TXTTitle>
<PDFText>PDF</PDFText>
<PDFTitle></PDFTitle>
<DOCText>Word</DOCText>
<DOCTitle></DOCTitle>

<!--gaph paging buttons-->
<GraphPagingText>View Current</GraphPagingText>
<GraphPagingTitle>View only current records</GraphPagingTitle>
<RemoveGraphPagingText>View All</RemoveGraphPagingText>
<RemoveGraphPagingTitle>View all records</RemoveGraphPagingTitle>

</Locale>
See Also
  • Locale File Samples


Setting the Default Date Format

By default the report wizard's date format is based on the sytems localization.
If you wanted to change your date field's default output format, you can do so by use of the DefaultDateFormat property.
This property accepts any valid date format string (MM/DD/YYYY or DD/MM/YY etc. see below) and formats any date fields that do not have any data formats associated with them.

<%
'sample usage
objWiz.DefaultDateFormat = "DD/MM/YY"
%>

Some common date formats are show in the table below, given a sample date of 1993-01-27 07:18.297 (Wednesday, January 27th 1993) and other arbitrary values.

Format | Output
m/d/yy | 1/27/93
dddd, mmmm dd, yyyy | Wednesday, January 27, 1993
d-mmm | 27-Jan
mmmm-yy | January-93
hh:mm AM/PM | 07:18 AM
h:mm:ss a/p | 7:18:00 a
d-mmmm h:mm | 27-January 7:18
d-mmmm-yy | 27-January-93
d mmmm | 27 January
mmmm yy | January 93
hh:mm AM/PM | 08:50 PM
h:mm:ss a/p | 8:50:35 p
h:mm | 20:50
h:mm:ss | 20:50:35
m/d/yy h:mm | 1/27/93 20:50

If you need us to include any default data type format, send your request to support@aspwebsolution.com
...


Adding Report Parameters

The ASP Report Wizard has the ability to accept parameters at runtime so as generate time-sensitive or user-based reports. There are 2 kinds of parameters that can be used:

system parameters and user-defined parameters. You add these parameters at the filter screen of the dialog wizard.

System Parameters (screen_shot)
The system parameters are basically some popular information which the report wizard can get from the system. The report wizard will then replace these values as shown below:

  • @DATETIME: - the current date & time
  • @DATE: - the current date
  • @TIME: - the current time
  • @YEAR: - current year
  • @MONTH: - the current month
  • @DAY: - the current day
  • @USERNAME: - the value in Session("UserName")
  • @USERID: - the value in Session("UserID")

As time goes on we will add more system parameters.

User-Defined Parameters (screen_shot)
User-Defined parameters are parameters that the current user will be asked for when they try to view the report.
The report wizard first looks for the paramter's value in the URL query string. If it does not find it, it will then ask a the current user only once for the value.

For example:
Consider that your reports are located at the following web address:
http://mycompany.com/reports/default.asp

If you have a report with report id = ORDER
If this report has a user defined parameter called ?ORDERID

You can make a direct link to this report as follows:
http://mycompany.com/reports/default.asp?rid=ORDER&ORDERID=10528

to view the order details for Order 10528
...


Creating Hierarchical and Master-Details Reports

The ASP Report Wizard has the ability to generate hierarchical and master-detail reports. There are 2 basic display formats for these reports: The tabular hier format and the columnar master-detail report formats shown below.
Master-Detail Hierarchical
Click to enlarge 		Master-Detail (Columnar)
Click to enlarge

To create such a report you need to do the following steps carefully:
  1. Select 2 or more related tables (e.g. Orders & Order Details) and click Build Report
  2. Select the fields you want displayed
  3. Select Master-Detail as the Report Type
  4. Enter your tables' relationship in the field provided and make sure everything looks similar to the screen shot below:
    Click to enlarge
  5. Advance to the next screen. Set your field captions and field output formats. Make sure you select the correct master table. in our case, it would be Orders. Your dialog box should look something like the image below:
    Click to enlarge
  6. At this point you can click on Finish to generate a hierachical master-detail (tabular) report. If you wish to generate a master-detail columnar report, advance 2 screens to the section Add a title and description to your report, enter your page size (1 preferably) and and select the Columnar (Form) report format

See Also
  • Creating Aggregate Reports (GROUP BY)

...


Creating Aggregate Reports

Creating Aggregate Reports (GROUP BY)

Table of Contents

  1. Introduction
  2. Creating a Standard GROUP-BY Report
  3. Creating a Simple Record-Count Report

Introduction

The ASP Report Wizard has the ability to divide a table into groups. These groups can consist of column names or results or computed columns values such as the:
  • SUM (field sum)
  • AVG (the average value)
  • MIN (minimum value)
  • MAX (maximum value)
  • STDEV (Standard Deviation) and
  • VAR (Variance) of the selected fields
  • and also the number of records (COUNT) in the table.

Top

Creating a Standard GROUP-BY Report

To create such a report, all you have to do is:
  1. Select any table (e.g. Order Details)
  2. Lauch the wizard dialog
  3. Select the fields you want to participate in the report (ProductID, UnitPrice, Discount)
  4. Click Next » and select the Text Format for your fields (UnitPrice -> Currency & Discount -> Percentage) as shown in the screen shot below:
    Click to enlarge
  5. Advance 2 screens to the section Add a title and description to your report, and check the Summary Report checkbox Make sure your screen looks something as the one shown below:
    Click to enlarge
  6. Click Next » to proceed to the Select summary types section.
    Select the summary types you want performed for the fields you want the computations to be performed on e.g. we want computations performed only on UnitPrice and Discount. The ProductID should not be added because we are making our report per Product. Your screen should look something like the image below:
    Click to enlarge
  7. You can optionally check the Add record count if you want to add a count of the number of records for each group
  8. At this point you can click on Finish to generate your summary report. Your report should look something like the image below:
    Click to enlarge

Top

Creating a Simple Record-Count Report

If you wanted to generate a report just based on the COUNT value such as the number of customers in each country, all you have to do is :
  1. Select your customer's table
  2. Lauch the wizard dialog
  3. Select the field you want to participate in the report - in this case it would be Country
  4. Advance 3 screens to the section Add a title and description to your report, and check the Summary Report checkbox
  5. Click Next » to proceed to the Select summary types section.
    Note that no fields will be displayed
  6. Check the Add record count checkbox and click finish.Your report should look something like the image below:
    Click to enlarge

See Also
  • Creating Hierarchical and Master-Details Reports

...


Managing Report Wizard User-Rights

Managing the Report Wizard's User-Rights

By default, everyone has Admin rights on the report wizard. Everyone can create new reports, edit or even delete existing reports. These rights can be controlled by the use of the IsAdmin property which gives a user full control on the report wizard. The IsAdmin property which is set to True by default can be programatically controlled depending on the report wizard's current user's role as shown below:
<%
If Not CBool(Session("IsAdmin")) Then
    objWiz.IsAdmin = False
End If
%>
The CanAdd and CanDelete properties can also be used to allow a user to be able to add and delete reports.
In a situation where some users have partial control - i.e. can create new reports but cannot delete existing ones, this task can be accomplished as follows:
<%
'Disable all Admin rights
objWiz.IsAdmin = False
Select Case Session("UserRole")
    Case "ADMIN" : objWiz.IsAdmin = True
    Case "CLERK" : objWiz.CanAdd = True
    Case Else : 'do nothing or hide certain report groups
End Select
objWiz.Init(Connection String)
%>

See Also
  • Hiding Tables, Views, Reports & Fields
  • Adding Report Passwords

...


Hiding Tables, Views and Reports

Hiding Tables, Views, Reports & Fields

The ASP Report Wizard was built with internet and data security issues as a major requirement. To achieve some of these requirements, the Report Wizard comes with certain properties that can be used to hide certain tables, views, report groups and even table fields.

These properties can be set programatically be the developer depending on which user is viewing reports. These properties include: HiddenTables, HiddenReports, HiddenFields,UseTables, UseReports etc.. Below is a list of these properties and their sample usage:
  1. HiddenTables
    This property can be used to hide a group of tables or views if the current user does not meet certain requirements. For example you can hide the budget table if the current user is not from the budget department as follows:
    <%
If Not (Session("UserDept") = "BUDGET") Then
    objWiz.HiddenTables = "budget,salary"
End If
%>
  2. HiddenReports
    This property can be used to hide a group or groups of reports if the current user does not meet a certain criteria. For example you can hide all reports in the in in groups A and B if the current user is not from the budget department as follows:
    <%
If Not (Session("UserDept") = "BUDGET") Then
    objWiz.HiddenReports = "A,B"
End If
%>
  3. HiddenFields
    This property can be used to hide some table fields if the current user does not meet a certain criteria. For example you can hide the SalaryField if the current user is not in management as follows:
    <%
If Not (Session("UserDept") = "MNGT") Then
    objWiz.HiddenFields = "Salary,UserID"
End If
%>
  4. HideTables & HideViews
    You can also use the HideTables, HideViews & HideProcedures properties to hide all tables, all views or stored procedures.
    <%
If Not CBool(Session("CanViewTables")) Then
    objWiz.HideTables = True
End If
%>
  5. UseTables
    You can also use the UseTables property to set the tables and views a user is allowed to see. For example:
    <%
'Declare your variables
Dim strTablesAllowed
Select Case Session("UserDept")
    Case "HR" : strTablesAllowed = "Table1,Table2,Employees"
    Case "MNGT" : strTablesAllowed = "Table1,Budget,Table5"
    Case Else : strTablesAllowed = "Survey"
End Select
objWiz.UseTables = strTablesAllowed
objWiz.Init(Connection String)
%>
  6. UseReports
    The UseReports property works much like the UseTables property above but sets the report groups a user is allowed to see.
  7. UseProcedures
    You can programatically set the stored procedures you want displayed by use of the UseProcedures property. For example:
    <%
objWiz.UseProcedures = "Procedure1,@Param1='Value1',@Param2='Value2'|Proc2,@P1=10,@P2='V2'"
objWiz.Init(Connection String)
%>
    This property automatically sets the stored procedures to be used with their parameters and as such, users cannot edit the parameter values.
See Also
  • Adding Report Parameters
  • Managing the Report Wizard's User-Rights
  • Report Wizard's API


Your First SimpleGraph

After you have successfully installed the ASP Report Wizard, copy the following code into your ASP file, to generate a simple graph similar to the one below:

Your First SimpleGraph

<%

'declare variables
Dim objGraph

' Create an instance of SimpleGraph
Set objGraph = Server.CreateObject("AspWebSolution.SimpleGraph")

With objGraph
'Add some data
Call .AddRowData("Kevin Garnett","35,40")
Call .AddRowData("Tracy McGrady","51,52")
Call .AddRowData("Allen Iverson","50,58")
Call .AddRowData("Jason Kidd","35,43")

'Add some variables
.XScaleValues = "2003-04 Highs,Career Highs"
.xALign = "center"
.yLabel = "PPG"
.Title = "NBA Season Highs / Career Highs"

'Space the groups
.Spacing = 10

'You can chage the colors if you want
'.Colors = "green, red, yellow, blue, orange, fuchsia"
End With

'Draw your graph
objGraph.Draw

Set objGraph = Nothing

%>

Top

See Also
  • SimpleGraph Object Reference
  • SimpleGraph Screen Shots


SimpleGraph API

The SimpleGraph is the chart-rendering object the ASP Report Wizard. You can create an instance of it as follows: 'Declare a variable
Dim objGraph

'Create an instance
Set objGraph = Server.CreateObject("AspWebSolution.SimpleGraph")


Your First DataGrid

writeLocation("Manual","manual.htm#grid","Your First DataGrid

Table of Contents

  1. Your First DataGrid
  2. Customizing the data grid's colors & fonts
  3. Customizing the grid's column captions
  4. Formatting the field data values
After you have successfully installed the ASP Report Wizard, copy the following code into your ASP file, to generate a data grid similar to the one below:

Your First DataGrid

'declare variables
Dim objGrid
Dim strConn
Dim strSQL

'Build a connection string to the Northwind database
strConn = "PROVIDER=Microsoft.Jet.OLEDB.4.0;DATA SOURCE=" & _
"D:\Databases\nwind.mdb;"

'Build an SQL command statement
strSQL = "SELECT ProductName,UnitPrice,UnitsInStock,Discontinued FROM Products"

' Create an instance of DataGrid
Set objGrid = Server.CreateObject("AspWebSolution.DataGrid")

With objGrid
'Set your command statement
.Command = strSQL

'Create a databse connection
.CreateConnection (strConn)

'Display the data grid
.Display
End With

'distroy objects
Set objGrid = Nothing

Top

Customizing the data grid's colors & fonts

The grid's colors & fonts styles can be customized by use of some properties including OddRowStyle, EvenRowStyle, HeaderRowStyle etc...For more information referer to the DataGrid Object Reference section of this manual.
Addiing the following lines of code to our code before the Display method will result as follows:

With objGrid
'Set your desired font colors & style
.GridStyle = "background-color:gray;"
.HeaderStyle = "background-color:#666699;"
.HeaderTextStyle = "color:white;font-family:verdana;font-size:8pt;"
.ItemStyle = "background-color:#d2d1de;color:000000;font-family:verdana;font-size:8pt;"
.AltItemStyle = "background-color:#f5f5f5;color:000000;font-family:verdana;font-size:8pt;"
.FooterStyle="font-family:verdana;font-size:8pt;"
End With

Adding Style to Your First DataGrid

Top

Customizing the grid's column captions

The grid's column headers can be changed by use of the method:
ColumnCaption(field_name,your_caption).
Addiing the following two lines of code to our code before the Display method will change our column headers as specified.
'Change the column headers to be more meaningful
Call objGrid.ColumnCaption("ProductName","Product Name")
Call objGrid.ColumnCaption("UnitPrice","Price")
Call objGrid.ColumnCaption("UnitsInStock","In Stock")
Call objGrid.ColumnCaption("UnitsOnOrder","On Order")

Top

Formatting the field data values

The datagrid makes available several methods which can be used for formatting the field values before display. These include CurrencyColumn, DateColumn, RegExColumn etc...For more information referer to the DataGrid Object Reference section of this manual. We will format the UnitPrice field into money and Discontinued field to display Yes for True and No for False so as to convey a more meaningful message as shown below:
'Change the field data to be more meaningful
Call objGrid.BoolColumn("Discontinued","Yes","No")
Call objGrid.CurrencyColumn("UnitPrice",2)
The image below shows our first datagrid with style added, column captions changes and field data formatted.

Formatting the field data values of your first DataGrid

If you wanted to link the ProductName field to a Google Search, you can do that by adding the following line to your code:

Call objGrid.LinkColumn("ProductName", _
"http://google.icq.com/search/results/?q=#TEMP#", _
"#TEMP#","_blank")
Or an Amazon search as follows:

Call objGrid.LinkColumn("ProductName", _
"http://www.amazon.com/exec/obidos/external-search/104-9238772-3027951?keyword=#TEMP#&mode=blended&tag=your_associates_id&Go.x=10&Go.y=9", _
"#TEMP#","_blank")

Top

See Also
  • DataGrid Object Reference


DataGrid API

The DataGrid is the grid-rendering object the ASP Report Wizard. You can create an instance of it as follows: 'Declare a variable
Dim objGrid

'Create an instance
Set objGrid = Server.CreateObject("AspWebSolution.DataGrid")


ASP Report Wizard Security Issues

Security

  • User-Level Security
  • Data Access Security
  • Password Protected Reports
  • File System Security

User-Level Security

You can use the current user's ID to put certain restrictions on what resources they have access to.
The ASP Report Wizard fulfills this requirement by exposing three simple properties: CanAdd, CanDelete and the CanEdit properties for creating and updating reports. The IsAdmin property overides these three as specified.
Dim objWiz
Set objWiz = Server.CreateObject("AspWebSolution.ReportWizard2")

With objWiz
'if an administrator
If CInt(Session("UserSeqLevel"))>4 Then
'do nothing - an administrator
ElseIf CInt(Session("UserSeqLevel"))>2 Then
'a data input clerk
.CanDelete = False
Else
.IsAdmin = False
End If
End WIth

'Make sure you initialize before adding any HTML text
objWiz.Init("PROVIDER=Microsoft.Jet.OLEDB.4.0;DATA SOURCE=C:\Databases\nwind.mdb;")

'put this where you want your reports
objWiz.DisplayReports

Set objWiz = Nothing
Also the HiddenTables property can be used for hiding or ignoring certain database tables & views you don't want showing up in the report wizard. e.g. you might want to hide a table that contains credit card numbers or passwords. You can also use the HiddenReports property to hide certain report groups from the current user. e.g. hiding Sales reports from a Human Resources employee.
objWiz.HidenReports = "HR,RD,Group3"
If Session("UserDepartment")<>"HR" Then
objWiz.HidenTables = "Employees"
End If
Alternative, you can use the UseReports and the UseTables property to use only centain reports or certain database tables and views.

...

Data Access Security

The user's identity can also be used to dynamically tailor the contents of the data displayed by adding the @USERID or @USERNAME system parameter to the report's filters.
This there reduces the records which the user has access to since they would be directly related to their @USERID. for example: performing a search on Orders when [Orders.OrderID] = @USERID. For more information on adding report parameters see the tuorial on adding report parameters.
...

Adding Report Passwords

To increase security, we added the capability of protecting your reports with passwords.
This can be done from the wizard dialog menu of the report's title & description screen. This password is securely encoded with the report's hash so as to prevente maintain its privacy.
...

File System Security

The ASP Report Wizard does not create any files and cannot access any system files.
The only file it uses is the reports.xml into which it saves its reports.
The ASP Report Wizard is a safe and sand-boxed component which only accesses the database for which a connection string is provided.

The ASP Report Wizard does not uses any Cookies or Session objects. It lives in realtime encrypted within the clients browser.

You can also hide your report files remotely on a securely drive. If you do this, all you have to do is set the report's file using the ReportsFile property as shown below:
'set your reports file location before you initialize
objWiz.ReportsFile = "/secure/data/showcase.xml"

'Make sure you initialize before adding any HTML text
objWiz.Init("PROVIDER=Microsoft.Jet.OLEDB.4.0;DATA SOURCE=C:\Databases\nwind.mdb;")

...


Handling Multiple Databases

The current version of the report wizard supports only one database connection string but however, you can programmatically change your database connection string at runtime to handle multiple databases. This can be complished with a simple conditional state such as the IF or SELECT statements.
We can use a simple if statement as follows:
<%

'if some condition e.g. Session, then use strConn1
If blnCondition Then
objWiz.Init(strConn1)
Else
objWiz.Init(strConn2)
End If

%>

This method will remain fine if both databases have the same structure - i.e. the same tables and table fields.
If they don't, then you can do either of the following before you set your connection string:
  1. Switch your reports file to match your connection string or
  2. Show only the reports that are associated with the current connection string.
Switching your reports file will be easier because you can just accomplish that as follows:
<%

Dim strFile, strConn, strDB

If blnCondition Then
strDB = "C:\Databases\NorthWind.mdb"
strFile = "C:\Reports\NorthWind.xml"
Else
strDB = "C:\Databases\Pubs.mdb"
strFile = "C:\Reports\Pubs.xml"
End If

strConn = "PROVIDER=Microsoft.Jet.OLEDB.4.0;" & _
"DATA SOURCE=" & strDB & ";"

objWiz.ReportsFile = strFile
objWiz.Init(strConn)

%>

The second method - Showing only the reports associated with the current connection string is a little more complicated in the it will involve you associating all your reports into groups and using or showing only certain groups or hiding other groups by use of the UseReports and HiddenReports properties as follows:
<%

Dim strGroup, strConn, strDB

If blnCondition Then
strDB = "C:\Databases\NorthWind.mdb"
strGroup = "NorthWind"
Else
strDB = "C:\Databases\Pubs.mdb"
strGroup = "Pubs,Bookstore,Authors"
End If

strConn = "PROVIDER=Microsoft.Jet.OLEDB.4.0;" & _
"DATA SOURCE=" & strDB & ";"

objWiz.UseReports = strGroup
objWiz.Init(strConn)

%>

The best strategy as of now to will be to create multiple instances of the report wizard in different folders that are directed to a different database. This way, you can customize your stylesheet file styles.css and security settings based on the database or department.

...


Connection String Samples

  • MS Access
    strConnectionString = "PROVIDER=Microsoft.Jet.OLEDB.4.0;" & _
    "DATA SOURCE=C:\Databases\NorthWind.mdb;"
  • MS SQL Server
    strConnectionString = "Provider=MSDASQL;Driver={SQL Server};" & _
    "Server=YOUR_SERVER_NAME;Database=YOUR_DATABASE;" & _
    "User ID=YOUR_USERNAME;Password=YOUR_PASSWORD;"
  • MS SQL Server 2005
    strConnectionString = "Provider=SQLNCLI;" & _
    "Server=YOUR_SERVER_IP;Database=YOUR_DATABASE;" & _
    "UID=YOUR_USERNAME;PWD=YOUR_PASSWORD;"
  • mySQL Database
    strConnectionString = "DRIVER={MySQL ODBC 3.51 Driver};DESC=;" & _
    "DATABASE=YOUR_DATABASE;SERVER=YOUR_SERVER_NAME;" & _
    "UID=YOUR_USERNAME;PASSWORD=YOUR_PASSWORD;" &  _
    "PORT=;OPTION=0;STMT=;"
  • Text Database (comma-separated)
    strConnectionString = "Provider=Microsoft.Jet.OLEDB.4.0;" & _
    "Data Source=C:\YOUR_FOLDER_PATH\;" & _
    "Extended Properties=""text;HDR=Yes;FMT=Delimited"""
  • OLE DB Provider for Oracle

    For Standard Security

    strConnectionString = "Provider=OraOLEDB.Oracle;" & _
           "Data Source=MyOracleDB;" & _
           "User Id=myUsername;" & _
           "Password=myPassword"

    For a Trusted Connection

    strConnectionString = "Provider=OraOLEDB.Oracle;" & _
           "Data Source=MyOracleDB;" & _
           "User Id=/;" & _
           "Password="
' Or
    strConnectionString = "Provider=OraOLEDB.Oracle;" & _
           "Data Source=MyOracleDB;" & _
           "OSAuthent=1"

    Note: "Data Source=" must be set to the appropriate Net8 name which is known to the naming method in use. For example, for Local Naming, it is the alias in the tnsnames.ora file; for Oracle Names, it is the Net8 Service Name.

    For more information, see: Oracle Provider for OLE DB Developer's Guide

  • FoxPro Database

    Using Database container (ODBC)

    strConnectionString = "DRIVER={Microsoft Visual FoxPro Driver};" & _
    "SourceDB=C:\YOUR_FOLDER_PATH\YourDB.dbc;" & _
    "SourceType=DBC;Exclusive=No;"

    Using Database container (OLE DB)

    strConnectionString = "Provider=VFPOLEDB.1;" & _
    "Data Source=C:\YOUR_FOLDER_PATH\YourDB.dbc;" & _
    "Password=YOUR_PASSWORD;Collating Sequence=MACHINE;"


Locale File Samples

  1. English
  2. Spanish - Jesus Pereira
If you have a LocaleFile in a different language you can send a copy to support@aspwebsolution.com for it to be published.


Frequently Asked Questions

  • General Questions
  • How-To Questions
  • PreSale Questions
  • Common Errors

General Questions

For general functionality-related questions, see the How-To Questions section of the manual.

Q. Do I have to Uninstall version 1?

A. You do not have to uninstall the ASP Report Wizard version 1.
We have named this new version release ReportWizard2 because we want it to be able to co-exist with version 1 on the same server
The reports.xml file for version 1 is different. We are still working on the free conversion utility

Common Errors

Q. I cannot run ASP pages on my Win2003 server
When I try and run the ASP Report Wizard, I get a 404 message.

A. By default Windows 2003 does not allow ASP pages to be run. You can fix this easliy from the Web Service Extensions section in IIS6 manager. See the following MS KB article for more info:

http://support.microsoft.com/?id=315122

Q. Error Code 0x80004005
When I try and register dbnetgrid.dll I get an error with the code "0x80004005".

A. This is most likley because you do not have permission to update or access the registry.

Q. 0178~Server.CreateObject Access Error
Cannot find the dbNetGrid COM object (006~ASP 0178~Server.CreateObject Access Error~The call to Server.CreateObject failed while checking permissions. Access is denied to this object.)

A. See this MS KB article for the resolution

http://support.microsoft.com/default.aspx?scid=KB;EN-US;Q198432&ID=KB;EN-US;Q198432&&FR=1

Q. Object variable or With block variable not set
When I try to install the ASP Report Wizard using windows installer, I get the following message:
" Error 1931. The Windows Installer service cannot update the system file
C:\\WINNT\System32\comsvcs.dll because the file is protected by Windows. "

A. Upgrade your computer with the latest service packs from microsoft. for more information, go to:
http://www.microsoft.com/windows2000/downloads/servicepacks/sp4/default.asp

Q. Object variable or With block variable not set
When I try to install the ASP Report Wizard using windows installer, I get the following message:
" Error 1931. The Windows Installer service cannot update the system file
C:\\WINNT\System32\vbscript.dll because the file is protected by Windows. "

A. Reinstall internet explorer.

...


How-To Index

How do I add parameters to my reports
How do I prevent users from editing & deleting my reports
How do I hide my reports.xml file
How do I my report fonts and color settings
How do I take of the ASP Web Solution Ad from showing up on my reports
How can I handle multiple databases/connection strings
How do I create a hyperlink column with data from another column
How do I set an OLE field as a downloadable link (document)
How do I hide fields that I only want to use in hyperlink columns
How do I add page headers & footers to my reports before I print them

Q. How do I take of the ASP Web Solution Ad?

A. You purchase a license key. This key will turn off the the ads, it will take off all links to AspWebSolution.com and turn off all the time checks. Thus your report wizard will run a lot faster if you have a key. For more information on obtaining a license key, go to then licensing page and select the license that best meets your needs.

When you have obtained your license, you reference it before you initialize the report wizard as shown below :

'set your license key before you initialize connection string
objWiz.LincenseKey = "ABCD-EFGH-IJKL-1234-QERF"

'Make sure you initialize before adding any HTML text
objWiz.Init(CONNECTION STRING)
Q. How can I handle multiple databases/connection strings?

A. The current version of the report wizard supports only 1 database connection string. A future version might support multiple but this greatly depends on if more users require this functionality.
You can however handle programatically handle multiple connection string instances. For more information check our tutorial on Handling Multiple Databases.

Q. How do I create a hyperlink column with data from another column?

A. You can reference another field/column when vreating a hyperlink by use of the field name within double-curly braces. For example, If you wanted to create a hyperlink on the ProductName column of the Products table with the value of the ProductID, simply enter a URL similar to the one below when prompted for the URL.
mypage.asp?rid=PROD&productid={{ProductID}}

How do I hide fields that I only want to use in hyperlink columns

A. If you don't want any field to show up in the report but you need the column's data such as for hyperlink parameters, you can hide this field by setting the Text Format to Hidden

How do I set an OLE field as a downloadable link (document)

A. If you want to set a field as a downloadable link, you need to set the Text Format to Document. You will be prompted to enter your file extension. Enter PDF for PDF documents, DOC for word documents and so on. This will then be formatted as a link which a user can click on to download the document.

How do I add page headers & footers to my reports before I print them

A. You can add headers & footers to your reports before printing by use of the PrintHeader & PrintFooter properties of the report wizard.

objWiz.PrintHeader = "<div align='right'><img src='images/logo.gif' vspace='10'></div>"

objWiz.PrintFooter ="<p align='center'>&copy AspWebSolution.com. All rights reserved</p>"

...


ASP Report Wizard Object Reference

Object Reference

The ASP Report Wizard is made up of the ReportWizard object and 2 reusable stand-alone components (DataGrid & SimpleGraph) that can be used in other applications independent of the asp report wizard.
  • Report Wizard API
  • Data Grid API
  • Simple Graph API

Report Wizard API

Data Grid API

Simple Graph API


Support

Our support is maily done thru our discussion forums. We attempt to solve issues as fast as possible. If you have a question, comment or suggestion for this please feel free to get help by using one of the options below:

  • Check the most frequently asked questions and their answers
  • Ask Us a Question - for technical questions, comments, suggestions.
  • Submit a Feature Request - for request for a feature.
  • Submit a Bug Report - for report and bug reports.


ASP Report Wizard Users' Manual

User's Manual - Table Of Contents

  • Getting Started
    • Installing the ASP Report Wizard
    • Setting up your first reporting application
    • Building your first report
    • Manipulating the Reports
      • Dynamically Sorting your Report Columns
      • Changing the Report's Page Size
      • Filtering your report's data values
      • Printing Reports & Exporting Data
    • Creating Simple Graphs
    • Methods & Properties
  • Customizability & Data Formating
    • Colors & Fonts Settings
    • Field Data Formating
  • Advanced Reporting
    • Adding Report Parameters
    • Creating Hierarchical and Master-Detail Reports
    • Creating Aggregate Reports (GROUP BY)
  • Extensibility & Flexibility
    • Simple Graph
      • Your First Graph
      • Methods & Properties
    • Data Grid
      • Your First Grid
      • Methods & Properties
  • Security
    • User-Level Security
    • Data Access Security
    • Password Protected Reports
    • File System Security
  • Miscellaneous
    • Handling Multiple Databases
    • Connection String Samples
  • Appendix
    • Frequently Asked Questions
    • How-To Index

...


SimpleGraph Screen Shots

  • Plain Graph
  • Graph with Scale
  • Graph with Negative Values
  • Stacked-Type Graph
  • Relative-Area Graph
  • Area Graph Spaced
  • Colorfull Graph
  • DOS-Colored Graph
Image Preview


Dialog Wizard Screen Shots

  • Selecting field names and report type
  • Add field captions and data format
  • Selecting the master table
  • Adding report filters
  • Adding system parameters
  • Adding user-defined parameters
  • Choosing the display format
  • Adding report summaries
  • Re-order field names
  • Selecting your graph type
  • Summary report options
Image Preview